GET /export/csv/projects/{project_id}/casting.csv

Path parameters

  • project_id string(uuid) Required

Query parameters

  • episode_id string(uuid)

    Episode ID to filter casting links

  • is_shot_casting boolean

    Whether to export shot casting only

Responses

  • 200 text/csv

    Casting exported as CSV successfully

GET /export/csv/projects/{project_id}/casting.csv
curl -X GET "http://api.example.com/export/csv/projects/a24a6ea4-ce75-4665-a070-57453082c25/casting.csv?episode_id=b24a6ea4-ce75-4665-a070-57453082c25&is_shot_casting=false" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/export/csv/projects/a24a6ea4-ce75-4665-a070-57453082c25/casting.csv"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "episode_id": "b24a6ea4-ce75-4665-a070-57453082c25",
    "is_shot_casting": false
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/export/csv/projects/a24a6ea4-ce75-4665-a070-57453082c25/casting.csv' \
 --header "Authorization: $API_KEY"
Response examples (200)
Parent,Name,Asset Type,Asset,Occurences,Label Sequence1,SH010,Character,Asset1,1,fixed